﻿@model List<LookupResult>

@{
    ViewData["Title"] = "Results";
}

@if (ViewData["ErrorMessage"] != null)
{
    <div class="alert alert-danger">ViewData["ErrorMessage"]</div>
}
@if (Model.Count() > 1 && Model.Where(w => w.optout).Count() > 1)
{
    <p class="text-danger"><b>One or more patients have opted out, see below</b></p>
}

<a asp-controller="Home" asp-action="Index" class="btn btn-primary mb-2">Back to search</a>


<table id="results-table" class="table table-sm table-hover">
    <thead>
        <tr>
            <th>NHS Number</th>
            <th>Initials</th>
            <th>Opted out?</th>
            <th>Confirmed on</th>
            <th>Loaded from MPI</th>
        </tr>
    </thead>
    <tbody>
        @foreach (LookupResult r in Model)
        {
            <tr>
                <th>@r.nhsNumber</th>
                <th>@r.initials</th>
                <th>
                    @if (r.notFound)
                    {
                        <span>Missing/Invalid NHS number</span>
                    }
                    else if (r.optout)
                    {
                        <span class="text-danger">YES - DO NOT SHARE</span>
                    }
                    else
                    {
                        <span>NO</span>
                    }
                </th>
                <th>@r.loadDate?.ToShortDateString() @r.loadDate?.ToShortTimeString()</th>
                <th>@r.cacheDate?.ToShortDateString() @r.cacheDate?.ToShortTimeString()</th>
            </tr>
        }
    </tbody>
</table>


<a asp-controller="Home" asp-action="Index" class="btn btn-primary mt-3">Search again</a>

@section Scripts {
    <script src="https://cdn.datatables.net/v/bs4/jq-3.3.1/jszip-2.5.0/dt-1.10.20/fh-3.1.6/b-1.6.1/b-html5-1.6.1/b-print-1.6.1/datatables.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#results-table').DataTable({
                fixedHeader: true,
                pageLength: 30,
                lengthMenu: [[15, 30, 60, -1], [15, 30, 60, "All"]],
                // Tweak the DOM so that it's a bit more compact
                dom: "<'row'<'col-sm-12 col-md-4'B><'col-sm-12 col-md-4'l><'col-sm-12 col-md-4'f>>" +
                    "<'row'<'col-sm-12'tr>>" +
                    "<'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                buttons: [
                    'excel', 'print'
                ],
                order: [[2, "desc"]],
                "oLanguage": {
                    "sSearch": "<span>Filter List:</span> _INPUT_" //search
                }
            })
        })
    </script>
}

@section ExtraCss {
    <link rel="stylesheet" href="https://cdn.datatables.net/v/bs4/jq-3.3.1/jszip-2.5.0/dt-1.10.20/fh-3.1.6/b-1.6.1/b-html5-1.6.1/b-print-1.6.1/datatables.min.css" />
}
